Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
List pipelines
curl --request GET \
--url https://gentrace.ai/api/v4/pipelines \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"slug": "my-awesome-pipeline",
"displayName": "My Awesome Pipeline",
"folderId": "6527747a-ba86-441a-aebd-1ad94460bc89",
"archivedAt": "2025-04-01T00:00:00.000Z",
"goldenDatasetId": "6527747a-ba86-441a-aebd-1ad94460bc89"
}
]
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Filter pipelines by slug
"my-pipeline"
The ID of the folder to filter pipelines by
"123e4567-e89b-12d3-a456-426614174000"
Successful response
Show child attributes
curl --request GET \
--url https://gentrace.ai/api/v4/pipelines \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"slug": "my-awesome-pipeline",
"displayName": "My Awesome Pipeline",
"folderId": "6527747a-ba86-441a-aebd-1ad94460bc89",
"archivedAt": "2025-04-01T00:00:00.000Z",
"goldenDatasetId": "6527747a-ba86-441a-aebd-1ad94460bc89"
}
]
}